## lemonldap-ng 1.9.1

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSKINSDIR=$(PORTALDIR)/skins
MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERPSGIDIR=$(MANAGERSITEDIR)/psgi
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
FRDOCDIR=$(DOCUMENTROOT)/fr-doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSKINSDIR=$(DESTDIR)/$(PORTALSKINSDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERPSGIDIR=$(DESTDIR)/$(MANAGERPSGIDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/example/skins/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSKINSDIR)/bootstrap/fonts \
			$(RPORTALSKINSDIR)/bootstrap/css/bootstrap* \
			$(RPORTALSKINSDIR)/bootstrap/js/bootstrap* \
			$(RPORTALSKINSDIR)/common/js/jquery-* \
			$(RPORTALSKINSDIR)/common/js/jquery.cookie*
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN) $(RPORTALSKINSDIR)/common/js/jquery*

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/static/struct.json \
		$(SRCMANAGERDIR)/site/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Constants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		_example/conf/lmConf-1.js

# Javascript and CSS to minify
JSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/js $(SRCPORTALDIR)/example -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/static/css  $(SRCPORTALDIR)/example -type f -name '*.css' ! -name '*.min.css')

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo " * Doxygen documentation"
	@echo "   - doxygen (to build Doxygen documentation in doc/devel/)"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI server install   (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo
	@echo "Other languages documentation (fr only for now)"
	@echo " - fr-doc                  (needs OmegaT)"
	@echo " - install_fr_doc_site"
	@echo

# Configure targets
# -----------------

configure:	json common_conf handler_conf portal_conf manager_conf

minify: $(JSDSTFILES) $(CSSDSTFILES)

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	@yui-compressor $*.js > $*.min.js

fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.1p
	@if which yui-compressor; then $(MAKE) minify; fi

$(MANAGERJSONDST):	$(MANAGERJSONSRC)
	./scripts/jsongenerator.pl

common_conf:	${SRCCOMMONDIR}/Makefile

handler_conf:	${SRCHANDLERDIR}/Makefile

portal_conf:	${SRCPORTALDIR}/Makefile

manager_conf:	${SRCMANAGERDIR}/Makefile

${SRCCOMMONDIR}/Makefile:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCHANDLERDIR}/Makefile:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCPORTALDIR}/Makefile:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

${SRCMANAGERDIR}/Makefile:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)

# Make targets
# ------------

common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}

handler:	handler_conf common
	@$(MAKE) -C ${SRCHANDLERDIR}

portal:		portal_conf common
	@$(MAKE) -C ${SRCPORTALDIR}

manager:	manager_conf handler
	$(MAKE) -C ${SRCMANAGERDIR}

# Test targets
# ------------
test:		all common_test handler_test portal_test manager_test extra_test

common_test:	common
	@$(MAKE) -C ${SRCCOMMONDIR} test

handler_test:	handler
	@$(MAKE) -C ${SRCHANDLERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/"

portal_test:	portal
	@$(MAKE) -C ${SRCPORTALDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

manager_test:	manager
	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

extra_test:	all
	cd ${SRCPORTALDIR} && prove -b -I ../$(SRCCOMMONDIR)/blib/lib -I ../$(SRCHANDLERDIR)/blib/lib -I../${SRCPORTALDIR}/blib/lib/ xt
#	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t

# End-to-end tests
# ----------------

e2e_test:	all prepare_test_server start_web_server launch_protractor stop_web_server

prepare_test_server:
	@mkdir -p e2e-tests/conf/sessions/lock e2e-tests/conf/persistents/lock
	$(MAKE) install_webserver_conf install_test_site install_fastcgi_server \
		CONFDIR=`pwd`/e2e-tests/conf \
		RCONFDIR=e2e-tests/conf \
		ERASECONFIG=1 \
		VHOSTLISTEN='*:$(TESTWEBSERVERPORT)' \
		PORT=$(TESTWEBSERVERPORT) \
		FASTCGISOCKDIR=`pwd`/e2e-tests/conf \
		PORTALDIR=`pwd`/$(SRCPORTALDIR)/example \
		MANAGERDIR=`pwd`/$(SRCMANAGERDIR)/site \
		TESTDIR=`pwd`/e2e-tests/conf/site \
		MANAGERPSGIDIR=`pwd`/e2e-tests \
		DEFDOCDIR=`pwd`/doc \
		FRDOCDIR=`pwd`/po-doc/fr \
		SBINDIR=`pwd`/e2e-tests/conf/sbin \
		INITDIR=`pwd`/e2e-tests/conf/init \
		ETCDEFAULTDIR=`pwd`/e2e-tests/conf/def
	@cp e2e-tests/lmConf-1.js e2e-tests/lemonldap-ng.ini e2e-tests/env.conf e2e-tests/test-nginx.conf e2e-tests/conf/
	@cp e2e-tests/form.html e2e-tests/conf/site
	@perl -i -pe 'BEGIN{$$p=`pwd`;chomp $$p}s#__pwd__#$$p#;s#__port__#$(TESTWEBSERVERPORT)#;s#__FASTCGISOCKDIR__#$(FASTCGISOCKDIR)#;' \
		e2e-tests/conf/lemonldap-ng.ini \
		e2e-tests/conf/lmConf-1.js \
		e2e-tests/conf/env.conf \
		e2e-tests/conf/test-nginx.conf

e2e-tests/conf/apache2.pid: start_web_server

start_web_server:	all prepare_test_server
	# Clean old server if launched
	-@[ -e e2e-tests/conf/apache2.pid ] && kill `cat e2e-tests/conf/apache2.pid` || true
	-@[ -e e2e-tests/conf/nginx.pid ]   && kill `cat e2e-tests/conf/nginx.pid` || true

=== debian/changelog ===
lemonldap-ng (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Add NEWS entry
  * Add libhttp-parser-xs-perl in recommended libraries
  * Remove unnecessary versioned dependency for liblasso-perl
  * Replace image duplication between doc packages by links
  * debian/copyright: remove unused BSD license
  * Add lintian-overrides for a false positive source-is-missing warning
  * debian/patches:
    - remove spelling-error patch now included in upstream
    - add patch to preserve original sources
    - update javascript-path patch

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 05 Apr 2016 21:37:49 +0200

lemonldap-ng (1.9.0-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Move priority from optional to extra to be compliant to 2.5 policy chapter
    (some dependencies are in extra section)
  * Update lintian override for false positive
    'source-contains-prebuilt-javascript-object' tag for customized (removed)
    jquery-ui
  * Replace some duplicated icons in doc by links
  * Replace MIT license by Expat for jquery* libraries

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Xavier Guimard ]
  * New upstream release
  * Install README.Debian only for lemonldap-ng metapackage (Closes: #814381)
  * Add Nginx doc in README.Debian
  * Update copyrights
  * Update example files
  * Update dependencies
  * Update install directories
  * Update description (+OpenID-Connect)
  * Update doc files
  * debian/control:
    - Bump Standards-Version to 3.9.7
    - Add openid-connect-provider and openid-connect-relying-party virtual
      packages
    - Move liblemonldap-ng-cli-perl conflict to
      liblemonldap-ng-common-perl
    - Add lemonldap-ng-fr-doc and lemonldap-ng-fastcgi-server new packages
  * Add systemd files for lemonldap-ng-fastcgi-server
  * debian/patches:
    - Remove all patches: now included in upstream
    - Add keep-angularjs-files.patch to keep AngularJS files in install until
      Debian version of it >= 1.4
    - Keep angularjs files until libjs-angularjs reaches 1.4.0
    - Add new spelling-errors patch
  * lintian:
    - Remove "source-is-missing" lintian overrides
    - Replace duplicate files by links in doc
    - Hide false positive lintian warning about privacy breach
    - Add psessions directories in lintian overrides and move all sessions
      relative overrides to common
  * debian/rules:
    - Update make variables
    - Use USEDEBIANLIBS=yes in make install
  * Update README.Debian

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 06 Mar 2016 17:42:11 +0100

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-systemd,
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libcgi-pm-perl,
                     libclone-perl,
                     libconfig-inifiles-perl,
                     libconvert-pem-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl,
                     libmime-lite-perl,
                     libmouse-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     libunicode-string-perl,
                     liburi-perl,
                     libhttp-message-perl | libwww-perl (<< 6),
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         lemonldap-ng-doc (= ${binary:Version})
Description: French documentation of Lemonldap::NG Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains French html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         nginx-extras | nginx,
         liblemonldap-ng-handler-perl,
         libplack-perl
Recommends: libhttp-parser-xs-perl,
Suggests: nginx-extras
Section: web
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libmouse-perl,
         liburi-perl,
         libwww-perl
Recommends: libhttp-message-perl | libwww-perl (<< 6),
            liblwp-protocol-https-perl | libwww-perl (<< 6)
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG Apache handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler is the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Depends: ${misc:Depends},
         liblemonldap-ng-common-perl
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: liblemonldap-ng-common-perl
Replaces: liblemonldap-ng-conf-perl (<< 1.3.3~)
Breaks: liblemonldap-ng-conf-perl (<< 1.3.3~)
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libdbi-perl,
         libjson-perl,
         libmouse-perl,
         libnet-cidr-lite-perl,
         libsoap-lite-perl
Recommends: libapache-session-browseable-perl,
            libhtml-template-perl,
            libhttp-message-perl | libwww-perl (<< 6),
            libnet-ldap-perl,
            liblwp-protocol-https-perl | libwww-perl (<< 6),
            libxml-libxml-perl,
            libxml-simple-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libhtml-template-perl,
         libjson-perl,
         libjs-jquery,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libmouse-perl,
         libplack-perl,
         libwww-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl,
            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server,
            libjson-xs-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl | libwww-perl (<< 6),
            libxml-libxml-perl,
            libxml-libxslt-perl,
            libxml-simple-perl
Suggests: libclone-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Manager provides the administration interface.

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         apache2 | nginx | httpd-cgi,
         libcgi-pm-perl,
         libclone-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-cookie,
         liblemonldap-ng-common-perl (= ${binary:Version}),
         libmime-lite-perl,
         libnet-ldap-perl,
         libregexp-assemble-perl,
         libstring-random-perl,
         libunicode-string-perl,
         liburi-perl
Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
            libjs-bootstrap,
            libwww-perl
Suggests: libauthcas-perl,
          libauthen-captcha-perl,
          libdbi-perl,
          libglib-perl,
          liblasso-perl,
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libnet-facebook-oauth2-perl,
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libnet-twitter-perl,
          libsoap-lite-perl,
          libweb-id-perl,
          libhttp-message-perl | libwww-perl (<< 6),
          liblwp-protocol-https-perl | libwww-perl (<< 6),
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part

## lemonldap-ng 1.9.2

=== debian/changelog ===
lemonldap-ng (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * Remove keep-angular-files patch since libjs-angularjs >1.4 is now
    available
  * Fix "circular dependency": split liblemonldap-ng-handler-perl into
    lemonldap-ng-handler and liblemonldap-ng-handler-perl (Closes: #821139)
    - Add a debian/NEWS entry for this
  * Remove liblemonldap-ng-handler-perl.postrm since My::Package isn't
    built since 1.4
  * Portal: move XML* deps from Recommends to Depends since
    notifications are enabled by default
  * Add lintian overrides for false positive "duplicate word" in
    README.Debian
  * Add patch to replace Mouse by Moose since it seems to not work under
    ModPerl::Registry (see #823217)
    - update debian/control

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 07 May 2016 16:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      libjson-perl,
                      liblasso-perl,
                      libmime-lite-perl,
-                     libmouse-perl,
+                     libmoose-perl,
                      libnet-cidr-lite-perl,
                      libnet-ldap-perl,
                      libnet-openid-consumer-perl,
@@ -44,7 +44,7 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
 Homepage: http://lemonldap-ng.org/
@@ -52,7 +52,7 @@
 Package: lemonldap-ng
 Architecture: all
 Depends: ${misc:Depends},
-         liblemonldap-ng-handler-perl (= ${binary:Version}),
+         lemonldap-ng-handler (= ${binary:Version}),
          liblemonldap-ng-manager-perl (= ${binary:Version}),
          liblemonldap-ng-portal-perl (= ${binary:Version})
 Provides: openid-connect-provider,
@@ -111,9 +111,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         nginx-extras | nginx,
-         liblemonldap-ng-handler-perl,
-         libplack-perl
+         liblemonldap-ng-handler-perl (= ${binary:Version}),
+         libplack-perl,
+         nginx-extras | nginx
 Recommends: libhttp-parser-xs-perl,
 Suggests: nginx-extras
 Section: web
@@ -130,13 +130,33 @@
  .
  Lemonldap::NG FastCGI server provides a Nginx auth_request server.
 
+Package: lemonldap-ng-handler
+Architecture: all
+Depends: ${misc:Depends},
+         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server (= ${binary:Version}),
+         liblemonldap-ng-handler-perl (= ${binary:Version})
+Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
+Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
+Description: Lemonldap::NG Apache handler part
+ Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
+ or directly on application Apache servers. It can be used in conjunction with
+ OpenID-Connect, CAS and SAML systems as identity or service provider. It can
+ also be used as proxy between those federation systems.
+ .
+ It manages both authentication and authorization and provides headers for
+ accounting. So you can have a full AAA protection. Authorization are built by
+ associating a regular expression and a rule. Regular expression is applied on
+ the requested URL and the rule calculates if the user is authorized.
+ .
+ This package provides configuration files for Apache and Nginx used to protect
+ web areas.
+
 Package: liblemonldap-ng-handler-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server,
          liblemonldap-ng-common-perl (= ${binary:Version}),
-         libmouse-perl,
+         libmoose-perl,
          liburi-perl,
          libwww-perl
 Recommends: libhttp-message-perl | libwww-perl (<< 6),
@@ -156,8 +176,7 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- Lemonldap::NG::Handler is the Apache module part (handler) used to protect web
- areas.
+ Lemonldap::NG::Handler provides Perl libraries used by web server handlers.
 
 Package: liblemonldap-ng-conf-perl
 Depends: ${misc:Depends},
@@ -182,7 +201,7 @@
          libcrypt-rijndael-perl,
          libdbi-perl,
          libjson-perl,
-         libmouse-perl,
+         libmoose-perl,
          libnet-cidr-lite-perl,
          libsoap-lite-perl
 Recommends: libapache-session-browseable-perl,
@@ -211,6 +230,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libjs-angularjs (>= 1.4),
          libconvert-pem-perl,
          libcrypt-openssl-rsa-perl,
          libhtml-template-perl,
@@ -218,12 +238,12 @@
          libjs-jquery,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
-         libmouse-perl,
+         libmoose-perl,
          libplack-perl,
          libwww-perl
 Recommends: lemonldap-ng-doc (= ${binary:Version}),
             libapache-session-browseable-perl,
-            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server,
+            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server (= ${binary:Version}),
             libjson-xs-perl,
             libhttp-parser-xs-perl,
             liblwp-protocol-https-perl | libwww-perl (<< 6),
@@ -258,31 +278,3 @@
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          libmime-lite-perl,
-         libnet-ldap-perl,
-         libregexp-assemble-perl,
-         libstring-random-perl,
-         libunicode-string-perl,
-         liburi-perl
-Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
-            libjs-bootstrap,
-            libwww-perl
-Suggests: libauthcas-perl,
-          libauthen-captcha-perl,
-          libdbi-perl,
-          libglib-perl,
-          liblasso-perl,
-          liblemonldap-ng-handler-perl (= ${binary:Version}),
-          libnet-facebook-oauth2-perl,
-          libnet-openid-consumer-perl,
-          libnet-openid-server-perl,
-          libnet-twitter-perl,
-          libsoap-lite-perl,
-          libweb-id-perl,
-          libhttp-message-perl | libwww-perl (<< 6),
-          liblwp-protocol-https-perl | libwww-perl (<< 6),
-          libxml-libxml-perl,
-          libxml-libxslt-perl,
-          libxml-simple-perl,
-          slapd
-Pre-Depends: debconf
-Description: Lemonldap::NG authentication portal part

## lemonldap-ng 1.9.3

=== debian/changelog ===
lemonldap-ng (1.9.3-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Xavier Guimard ]
  * New upstream release
  * Update patches
  * Add libfcgi-procmanager-perl as dependency of
    lemonldap-ng-fastcgi-server
  * Update lemonldap-ng-doc.links (Closes: #825587)

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 07 Jun 2016 19:48:32 +0200

## lemonldap-ng 1.9.4

=== debian/changelog ===
lemonldap-ng (1.9.4-3) unstable; urgency=medium

  * Add patch to avoid network access attempts (Closes: #830223)

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 08 Jul 2016 07:04:39 +0200

lemonldap-ng (1.9.4-2) unstable; urgency=medium

  * Fix "FastCGI server restart fails with SysVinit": remove old unused tip
    (Closes: #830166)

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 06 Jul 2016 22:54:09 +0200

lemonldap-ng (1.9.4-1) unstable; urgency=medium

  * New upstream release (Closes: #826759)
  * Refresh patch

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 15 Jun 2016 23:13:09 +0200

## lemonldap-ng 1.9.5

=== Makefile ===
--- 
+++ 
@@ -267,6 +267,7 @@
 	@yui-compressor $*.js > $*.min.js
 
 fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
+	@echo Update FastCGI man page
 	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p
 
 # Perl libraries configuration
@@ -368,4 +369,3 @@
 start_web_server:	all prepare_test_server
 	# Clean old server if launched
 	-@[ -e e2e-tests/conf/apache2.pid ] && kill `cat e2e-tests/conf/apache2.pid` || true
-	-@[ -e e2e-tests/conf/nginx.pid ]   && kill `cat e2e-tests/conf/nginx.pid` || true

=== debian/changelog ===
lemonldap-ng (1.9.5-1) unstable; urgency=medium

  * New upstream release
  * Remove patch added in 1.9.4-3, now included in upstream
  * Update patchs
  * Add spelling error patch

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 14 Jul 2016 11:50:22 +0200

=== debian/control ===
--- 
+++ 
@@ -111,6 +111,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libfcgi-procmanager-perl,
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libplack-perl,
          nginx-extras | nginx
@@ -277,4 +278,3 @@
          libjs-jquery-ui,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
-         libmime-lite-perl,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
PSESSIONSDIR=$(LMVARDIR)/psessions
NOTIFICATIONSDIR=$(LMVARDIR)/notifications
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1.js
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/captcha

%:
	dh $@ --with systemd

override_dh_auto_configure:
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) install install_fr_doc_site \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng/ \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			PORTALSKINSDIR=$(LMSHAREDIR)/portal-skins \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=/etc/lemonldap-ng \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng-doc \
			FRDOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
			USEDEBIANLIBS=yes

	mkdir $(TMP)/$(LMSHAREDIR)/portal
	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/

override_dh_link:
	rm -rf debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/media \
		debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/lib
	dh_link

override_dh_compress:
	dh_compress -X favicon.ico

# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
#  * global configuration dirs must be writable by www-data but not readable
#    by all (also sessions, captcha,... dirs)
#  * lemonldap-ng.ini must not be readable by all
override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data \
		debian/*/$(SESSIONSDIR) \
		debian/*/$(SESSIONSDIR)/lock \
		debian/*/$(PSESSIONSDIR) \
		debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chgrp www-data debian/liblemonldap-ng-common-perl/$(LMINIFILE) \
		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)
	chmod 640 debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE) \
		debian/liblemonldap-ng-common-perl/$(LMINIFILE)

## lemonldap-ng 1.9.7

=== Makefile ===
--- 
+++ 
@@ -168,6 +168,10 @@
 			$(RPORTALSKINSDIR)/bootstrap/js/bootstrap* \
 			$(RPORTALSKINSDIR)/common/js/jquery-* \
 			$(RPORTALSKINSDIR)/common/js/jquery.cookie*
+DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
+			pages/documentation/current/lib/scripts/jquery-ui*.js \
+			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
+DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
 MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
 PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN) $(RPORTALSKINSDIR)/common/js/jquery*
 
@@ -364,8 +368,3 @@
 		e2e-tests/conf/env.conf \
 		e2e-tests/conf/test-nginx.conf
 
-e2e-tests/conf/apache2.pid: start_web_server
-
-start_web_server:	all prepare_test_server
-	# Clean old server if launched
-	-@[ -e e2e-tests/conf/apache2.pid ] && kill `cat e2e-tests/conf/apache2.pid` || true

=== debian/changelog ===
lemonldap-ng (1.9.7-3+deb9u2) stretch; urgency=medium

  * Fix CDA regression introduced in 1.9.7-3+deb9u1
  * Fix XXE vulnerability (Closes: #931117)

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 May 2019 10:35:48 +0200

lemonldap-ng (1.9.7-3+deb9u1) stretch-security; urgency=medium

  * Add patch to fix token security (Closes: #928944, CVE-2019-12046)

 -- Xavier Guimard <yadd@debian.org>  Mon, 13 May 2019 18:51:54 +0200

lemonldap-ng (1.9.7-3) unstable; urgency=medium

  * Remove unnecessary version dependency for lsb-base
  * Fix unhandled symlink to directory conversion (Closes: #854859)
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 12 Feb 2017 13:12:21 +0100

lemonldap-ng (1.9.7-2) unstable; urgency=medium

  * Add patch to disable some heavy developer tests (Closes: #845167)
  * Add libdbd-sqlite3-perl in build dependencies for better test
    coverage

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 26 Dec 2016 10:01:52 +0100

lemonldap-ng (1.9.7-1) unstable; urgency=medium

  * New upstream release
  * Remove unused override for angularjs
  * Update short description for handler packages
  * Update long description to replace "Apache" by "web server"
  * Remove alternate dependency to libwww-perl <<6
  * Update patches
  * Keep Mouse for tests and command-line
  * Add lsb-base in fastcgi server dependencies
  * Replace Net::Twitter dependency by Net::OAuth
  * Add autopkgtest tests (copied from pkg-perl-autopkgtest and adapted)
  * Add libjs-bootstrap and libjs-es5-shim in manager dependencies
  * Add libmouse-perl in build dependencies
  * Use compiled doc for doc packages
  * Remove spelling error patch now included in upstream
  * Add lintian override for serialized but unused bootstrap files
  * Add lintian override for simple but serialized JS files in documentation
  * Update debian/copyright

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 15 Dec 2016 17:52:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(MAKE) all
 
 override_dh_auto_install:
-	$(MAKE) install install_fr_doc_site \
+	$(MAKE) install \
 			DESTDIR=$(CURDIR)/debian/tmp \
 			PREFIX=/usr \
 			LMPREFIX=/usr/share/lemonldap-ng/ \
@@ -50,14 +50,15 @@
 			DEFDOCDIR=/usr/share/doc/lemonldap-ng-doc \
 			FRDOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
 			USEDEBIANLIBS=yes
-
+	$(MAKE) install_fr_doc_site \
+			DESTDIR=$(CURDIR)/debian/tmp \
+			DOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
+			USEDEBIANLIBS=yes
+	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/documentation \
+		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
+		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
 	mkdir $(TMP)/$(LMSHAREDIR)/portal
 	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
-
-override_dh_link:
-	rm -rf debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/media \
-		debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/lib
-	dh_link
 
 override_dh_compress:
 	dh_compress -X favicon.ico
